%define url_ver	%(echo %{version}|cut -d. -f1,2)

#don't provide plugin .so
%global __provides_exclude_from    %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary: 	A places plugin for the Xfce panel
Name: 		xfce4-places-plugin
Version: 	1.8.4
Release: 	%mkrel 1
License:	GPLv2+
Group: 		Graphical desktop/Xfce
URL:		https://goodies.xfce.org/projects/panel-plugins/xfce4-places-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(exo-2)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfconf-0)
Requires:	xfce4-panel

%description
A places plugin for the Xfce panel.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog AUTHORS NEWS
%{_bindir}/xfce4-popup-places
%{_libdir}/xfce4/panel/plugins/libplaces.so
%{_datadir}/xfce4/panel/plugins/places.desktop


%changelog
* Wed Dec 25 2024 wally <wally> 1.8.4-1.mga10
+ Revision: 2130044
- new version 1.8.4

* Thu Nov 17 2022 wally <wally> 1.8.3-1.mga9
+ Revision: 1908486
- new version 1.8.3

* Tue Sep 20 2022 wally <wally> 1.8.2-1.mga9
+ Revision: 1890838
- new version 1.8.2

* Mon Apr 04 2022 umeabot <umeabot> 1.8.1-3.mga9
+ Revision: 1843085
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.8.1-2.mga8
+ Revision: 1528174
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Aug 12 2019 wally <wally> 1.8.1-1.mga8
+ Revision: 1428908
- new version 1.8.1

* Wed May 01 2019 wally <wally> 1.8.0-1.mga7
+ Revision: 1396018
- new version 1.8.0
- switch to gtk3

* Sun Sep 23 2018 umeabot <umeabot> 1.7.0-5.mga7
+ Revision: 1301874
- Mageia 7 Mass Rebuild

* Sun Oct 08 2017 wally <wally> 1.7.0-4.mga7
+ Revision: 1170240
- rebuild for new xfconf

* Thu Aug 04 2016 wally <wally> 1.7.0-3.mga6
+ Revision: 1044468
- add patch from upstream to fix undefined symbols (mga#19107, xfce#11939)

* Wed Feb 17 2016 umeabot <umeabot> 1.7.0-2.mga6
+ Revision: 963564
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 wally <wally> 1.7.0-1.mga6
+ Revision: 837964
- new version 1.7.0

* Tue Mar 03 2015 wally <wally> 1.6.0-4.mga5
+ Revision: 817453
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-3.mga5
+ Revision: 740790
- Second Mageia 5 Mass Rebuild

* Sun Sep 21 2014 umeabot <umeabot> 1.6.0-2.mga5
+ Revision: 706911
- Mageia 5 Mass Rebuild

* Sun Dec 22 2013 wally <wally> 1.6.0-1.mga4
+ Revision: 559919
- new version 1.6.0

* Fri Oct 18 2013 umeabot <umeabot> 1.5.0-3.mga4
+ Revision: 520546
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.5.0-2.mga3
+ Revision: 386860
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 28 2012 wally <wally> 1.5.0-1.mga3
+ Revision: 299052
- new version 1.5.0
- drop upstream applied patch
- exclude plugin .so from provides

* Sat Sep 01 2012 wally <wally> 1.4.0-2.mga3
+ Revision: 286866
- add a patch from upstream bugzilla to use xdg icons (xfce#9253)

* Tue Aug 28 2012 wally <wally> 1.4.0-1.mga3
+ Revision: 284834
- new version 1.4.0

* Tue May 29 2012 wally <wally> 1.3.0-1.mga3
+ Revision: 249350
- new version 1.3.0
- clean .spec
+ ahmad <ahmad>
- imported package xfce4-places-plugin


* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.0-2mdv2010.1
+ Revision: 543433
- rebuild for mdv 2010.1

* Fri Jul 31 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.0-1mdv2010.0
+ Revision: 405206
- update to new version 1.2.0
- drop patches 0 and as they were merged upstream

* Sun Mar 08 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.0-8mdv2009.1
+ Revision: 353058
- Patch2: fix compiling with Werror=format-strings

* Sun Nov 23 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.0-7mdv2009.1
+ Revision: 306098
- Patch0: nerw version for xfce bugzilla
- Patch1: do not segfault on plugin exit

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.0-6mdv2009.1
+ Revision: 295004
- rebuild for new Xfce4.6 beta1

* Fri Oct 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.0-5mdv2009.0
+ Revision: 291579
- Patch0: new version from xfce bugzilla

* Fri Sep 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.0-4mdv2009.0
+ Revision: 281253
- Patch0: new version of patch

* Tue Aug 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.0-3mdv2009.0
+ Revision: 273490
- Patch0: use XDG_DESKTOP_DIR environment variable for desktop directory

* Sat Aug 09 2008 Thierry Vignaud <tv@mandriva.org> 1.1.0-2mdv2009.0
+ Revision: 269791
- rebuild early 2009.0 package (before pixel changes)

* Sun Jun 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.0-1mdv2009.0
+ Revision: 216760
- update to new version 1.1.0
- package NEWS file

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-2mdv2008.1
+ Revision: 110128
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- do not package COPYING file
- use upstream name

* Fri Oct 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-1mdv2008.1
+ Revision: 102239
- update to the final version
- new version

* Sat Aug 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.991-1mdv2008.0
+ Revision: 65407
- new version

* Fri May 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-1mdv2008.0
+ Revision: 31038
- Import xfce-places-plugin

